Name:		rst2pdf
Version:	0.97
Release:	%mkrel 1

Summary:	Tool for transforming reStructuredText to PDF
License:	MIT
Group:		Publishing
URL:		https://rst2pdf.org/
Source:		https://github.com/rst2pdf/rst2pdf/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-docutils

%description
The usual way of creating PDF files from reStructuredText is by going
through LaTeX. This tool provides an alternative by producing PDF
directly using the ReportLab library.

%prep
%setup -q

# drop bundled egg-info
rm -rf *.egg-info/

%build
%py3_build

%install
%py3_install

rst2man doc/rst2pdf.rst doc/rst2pdf.1

mkdir -p %{buildroot}%{_mandir}/man1
install -p -m 644 doc/rst2pdf.1 %{buildroot}%{_mandir}/man1

%files
%license LICENSE.txt
%doc *.rst
%{_bindir}/%{name}
%{python3_sitelib}/%{name}*
%{_mandir}/man1/*


%changelog
* Tue Jun 09 2020 daviddavid <daviddavid> 0.97-1.mga8
+ Revision: 1591118
- new version: 0.97

* Tue Feb 18 2020 umeabot <umeabot> 0.95-2.mga8
+ Revision: 1541773
- Mageia 8 Mass Rebuild

* Wed Jan 01 2020 wally <wally> 0.95-1.mga8
+ Revision: 1475115
- new version 0.95

* Wed Jan 23 2019 daviddavid <daviddavid> 0.93-11.mga7
+ Revision: 1360333
- rst2man is now provided by python3-docutils
- use new python macros

* Wed Sep 19 2018 umeabot <umeabot> 0.93-10.mga7
+ Revision: 1275003
- Mageia 7 Mass Rebuild

* Tue Feb 02 2016 umeabot <umeabot> 0.93-9.mga6
+ Revision: 931713
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.93-8.mga5
+ Revision: 750571
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.93-7.mga5
+ Revision: 730096
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.93-6.mga5
+ Revision: 688724
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.93-4.mga4
+ Revision: 544438
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.93-3.mga4
+ Revision: 499837
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Jan 14 2013 umeabot <umeabot> 0.93-2.mga3
+ Revision: 380524
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 philippem <philippem> 0.93-1.mga3
+ Revision: 334162
- Update to 0.93

* Sat Oct 20 2012 philippem <philippem> 0.92-1.mga3
+ Revision: 308382
- New upstream

* Tue Mar 06 2012 philippem <philippem> 0.91-1.mga2
+ Revision: 220071
- Update to 0.91.

* Thu Mar 31 2011 philippem <philippem> 0.16-1.mga1
+ Revision: 79365
- imported package rst2pdf

